Summary: ifmail - FTN package for UN*X - `` TX '' diffs
Name: ifmail
Version: 2.14
Release: tx8.10
Icon: ifmail.gif
Source0: ftp://ftp.z2.fidonet.org/pub/linux/Fido/ifmail-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}.tar.gz
Source1: ifmail.logrotate
Source2: ifmail.crontab
Source3: ifmail.cron.hourly
Source4: ifmail.cron.monthly
Source5: ifmail.cleanup_ref.sh
Source6: ifmail-CONFIG-libc6
Source7: ifmail-CONFIG-libc5
Copyright: distribuable
Group: Networking/Utilities
Requires: sendmail >= 8.9.0, sendmail-cf >= 8.9.0, inn >= 1.5.1
Buildroot: /tmp/ifmail-root
URL: http://www.z2.fidonet.org/ifmail-tx/
Summary(es): ifmail - kit para redes FTN - diffs " TX "
Summary(fr): ifmail - kit pour rseaux FTN - diffs  TX 

%description
FidoNet(r) transport and gateway for UN*X platform.
Delivers Fidonet mail packets over telephone lines
and TCP/IP connections; converts Fidonet net- and
echomail to RFC-822/RFC-1036 compliant mail and news
and vice versa.  In cooperation with MTA and netnews
packages allows to run a FidoNet node (or point) on
a UN*X machine.
The "TX" version has support for multiple charset environnements.

%description -l es
Programa de transporte y pasarela para redes FidoNet(r).
Enva paquetes de correo Fidonet por lneas telefnicas
y por conexiones TCP/IP; convierte netmail y echomail
Fidonet hacia correo y news acordes a RFC-822/RFC-1036
y vice versa. En cooperacin con un MTA o un paquete de
netnews permite correr un nodo (o punto) de una red
FidoNet en una mquina UN*X.
La versin "TX" tiene soporte para entornos que usan
variso charsets diferentes.

%description -l fr
Programme de transport et passerelle pour rseaux FidoNet(r).
Envoit des paquets de courrier Fidonet par lignes tlphoniques
et par connexions TCP/IP; convertit le netmail et echomail
Fidonet vers du courrier et news conformes  RFC-822/RFC-1036
et vice versa. En cooperation avec un MTA ou un paquetage de
netnews permets de faire fonctionner un noeud (ou point)
d'un rseau FidoNet sur une machine UN*X.
La version  TX  supporte un environnement o plusieurs codes
de caractres diffrents sont utiliss.

%prep
%setup -n ifmail
%build
if /sbin/ldconfig -p | grep libc.so.6 >& /dev/null ; then
	cp $RPM_SOURCE_DIR/ifmail-CONFIG-libc6 CONFIG
else
	cp $RPM_SOURCE_DIR/ifmail-CONFIG-libc5 CONFIG
fi
make
( cd misc/contrib/cutnl-0.1/ ; make )

%pre
export PATH=/bin:/usr/bin:$PATH
TMP=`grep ^fnet: /etc/passwd`
if [ "$TMP" = "" ]; then
   while [ -r /etc/.pwd.lock ]; do sleep 5 ; done
   touch /etc/.pwd.lock
   cp /etc/passwd /etc/passwd-
   IF_UID=2200
   while grep "[^:]*:[^:]*:$IF_UID:.*" /etc/passwd > /dev/null
   do IF_UID=`expr $IF_UID + 1` ; done
   IF_GID=`grep ^fnet: /etc/group | cut -d':' -f3`
   if [ "$IF_GID" = "" ]; then
        IF_GID=2200
        cp /etc/group /etc/group-
        while grep "[^:]*:[^:]*:$IF_GID:.*" /etc/group > /dev/null
        do IF_GID=`expr $IF_GID + 1` ; done
        echo "fnet::${IF_GID}:fnet,news,mail,root" >> /etc/group
   else
	cp /etc/group /etc/group-
	TMP=`grep ^fnet: /etc/group`
	MEMBERS=fnet,news,mail,root
	for i in `echo $TMP | cut -d: -f4 | tr ',' ' '`; do
        	if [ "$i" = "fnet" ]; then : ;
        	elif [ "$i" = "news" ]; then : ;
        	elif [ "$i" = "mail" ]; then : ;
        	elif [ "$i" = "root" ]; then : ;
        	else
        		MEMBERS="$MEMBERS,$i"
        	fi
	done
	LINE="`echo $TMP | cut -d: -f1-3`:$MEMBERS"
	cat /etc/group- | sed s/$TMP/$LINE/ > /etc/group
   fi
   echo "fnet:*:${IF_UID}:${IF_GID}:fnet:/usr/lib/ifmail:" >> /etc/passwd
   rm /etc/.pwd.lock
fi
# fnet must be a member of group modem if any
TMP=`grep ^modem: /etc/group`
if [ "$TMP" != "" ]; then
	if echo $TMP | grep fnet  ; then :
	else
		LINE="$TMP,fnet"
		while [ -r /etc/.pwd.lock ]; do sleep 5 ; done
		touch /etc/.pwd.lock
		cp /etc/group /etc/group-
		cat /etc/group- | sed s/$TMP/$LINE/ > /etc/group
		rm /etc/.pwd.lock
	fi
fi
# ifcico needs write access to /var/lock
TMP=`ls -dl /var/lock | awk ' { print $4 } '`
TMP=`grep ^\${TMP}: /etc/group`
if echo $TMP | grep fnet  ; then :
else
	LINE="$TMP,fnet"
	while [ -r /etc/.pwd.lock ]; do sleep 5 ; done
	touch /etc/.pwd.lock
	cp /etc/group /etc/group-
	cat /etc/group- | sed s/$TMP/$LINE/ > /etc/group
	rm /etc/.pwd.lock
fi

%install
if [ ! ${RPM_BUILD_ROOT} = / ]; then
  rm -rf ${RPM_BUILD_ROOT} ;
fi

# create the misc directories
BUILD_ROOT=$RPM_BUILD_ROOT make directories
mkdir -p $RPM_BUILD_ROOT/usr/man/{man{3,8},fr/man8}
mkdir -p $RPM_BUILD_ROOT/var/{lib/news,log/ifmail}
mkdir -p $RPM_BUILD_ROOT/var/spool/ifmail/{{in,in-known,in-unknw}/tmp,nl.d,fidonet,tic}
mkdir -p $RPM_BUILD_ROOT/var/spool/cron
mkdir -p $RPM_BUILD_ROOT/tmp/ifmail
mkdir -p $RPM_BUILD_ROOT/usr/lib/sendmail-cf/{mailer,cf}
mkdir -p $RPM_BUILD_ROOT/etc/{logrotate.d,cron.hourly,cron.monthly}

# set permissions of directories
chown fnet.fnet -R $RPM_BUILD_ROOT/{tmp,var{/spool,/log}}/ifmail
chmod 750 -R $RPM_BUILD_ROOT/{tmp,var{/spool,/log}}/ifmail

# create the ifmail directories & install sample configs
DESTDIR=$RPM_BUILD_ROOT make directories
DESTDIR=$RPM_BUILD_ROOT make install_config

# create sample passwds file
echo -e "password\t2:293/2219\tsamplepassword" > $RPM_BUILD_ROOT/etc/ifmail/passwds
chown fnet.fnet $RPM_BUILD_ROOT/etc/ifmail/passwds
chmod 600 $RPM_BUILD_ROOT/etc/ifmail/passwds

# install bins and doc
DESTDIR=$RPM_BUILD_ROOT make install
install -m 755 misc/contrib/cutnl-0.1/cutnl $RPM_BUILD_ROOT/usr/lib/ifmail
install -m 755 misc/contrib/cutnl-0.1/regcutnl $RPM_BUILD_ROOT/usr/lib/ifmail
DESTDIR=$RPM_BUILD_ROOT make man
install -m644 ifcico/ifcico.8.fr $RPM_BUILD_ROOT/usr/man/fr/man8/ifcico.8
# compress man pages
gzip -9f $RPM_BUILD_ROOT/usr/man/man?/*.? $RPM_BUILD_ROOT/usr/man/*/man?/*.?

# install scripts and cron/logrotate config files
install -m750 -o news -g news misc/inn/send-ifmail $RPM_BUILD_ROOT/var/lib/news
install -m644 misc/sendmail/fnet.m4 $RPM_BUILD_ROOT/usr/lib/sendmail-cf/mailer
install -m644 misc/sendmail/ifmail.mc $RPM_BUILD_ROOT/usr/lib/sendmail-cf/cf
install -m644 $RPM_SOURCE_DIR/ifmail.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/ifmail
install -m600 $RPM_SOURCE_DIR/ifmail.crontab $RPM_BUILD_ROOT/var/spool/cron/fnet
install -m755 $RPM_SOURCE_DIR/ifmail.cron.hourly $RPM_BUILD_ROOT/etc/cron.hourly/ifmail
install -m755 $RPM_SOURCE_DIR/ifmail.cron.monthly $RPM_BUILD_ROOT/etc/cron.monthly/ifmail
install -m755 -o fnet -g fnet misc/contrib/unarj $RPM_BUILD_ROOT/usr/lib/ifmail/unarj
install -m755 -o fnet -g fnet misc/contrib/unrar $RPM_BUILD_ROOT/usr/lib/ifmail/unrar
install -m755 -o fnet -g fnet misc/contrib/logstat/inoutstat.pl $RPM_BUILD_ROOT/usr/lib/ifmail/inoutstat.pl
rm $RPM_BUILD_ROOT/usr/lib/ifmail/cleanup_ref || :
install -m755 -o fnet -g fnet $RPM_SOURCE_DIR/ifmail.cleanup_ref.sh $RPM_BUILD_ROOT/usr/lib/ifmail/cleanup_ref


# create log files
for i in $RPM_BUILD_ROOT/var/log/ifmail/{ifstat,iflog,messages}
do
        if [ ! -r $i ]; then touch $i ; chown fnet.fnet $i ; chmod 600 $i ; fi
done

%clean
if [ ! ${RPM_BUILD_ROOT} = / ]; then
  rm -rf ${RPM_BUILD_ROOT} ;
fi

%post
# 1=first time install
if [ "$1" = "1" ]
then

# add entries to /etc/services
if grep ^fido /etc/services >& /dev/null
then
	/bin/true
else
	echo -e "fido	60179/tcp	# the standard ifmail port (TCP)" >> /etc/services 
	echo -e "tfido	60177/tcp	# (telnet) port used in Russia" >> /etc/services
fi

# add entries to /etc/inetd.conf
if grep ^fido /etc/inetd.conf >& /dev/null
then
	/bin/true
else
	echo -e "fido	stream	tcp	nowait	fnet	/usr/lib/ifmail/ifcico ifcico" >> /etc/inetd.conf
	echo -e "tfido   stream  tcp     nowait  fnet    /usr/lib/ifmail/ifcico ifcico -t1" >> /etc/inetd.conf
	if [ -r /var/run/inetd.pid ]; then kill -HUP `head -1 /var/run/inetd.pid` ; fi
fi

# add entries to /etc/syslog.conf
if grep '/var/log/ifmail' /etc/syslog.conf >& /dev/null
then
	/bin/true
else
	echo -e "# ifmail log uses LOCAL0 log facility" >> /etc/syslog.conf
	echo -e "local0.*			/var/log/ifmail/messages" >> /etc/syslog.conf
	if [ -r /var/run/syslog.pid ]; then kill -HUP `head -1 /var/run/syslog.pid` ; fi
fi

fi

%preun
# $1 = 0 is remove; $1 = 1 is update
if [ "$1" = "0" ]; then
   # delete the user fnet
   while [ -r /etc/.pwd.lock ]; do sleep 5 ; done
   touch /etc/.pwd.lock
   cat /etc/passwd | grep -v ^fnet: > /etc/passwd-
   cat /etc/passwd- > /etc/passwd
   cat /etc/group | sed 's:,fnet::g' | sed 's:fnet,::g' > /etc/group-
   cat /etc/group- | grep -v ^fnet: > /etc/group 
   rm /etc/.pwd.lock
   # remove the temp files etc
   if [ -r /tmp/ifmail/* ]; then rm -r /tmp/ifmail/* ; fi
   if [ -r /var/spool/ifmail/*.pag ]; then rm /var/spool/ifmail/*.pag ; fi
   if [ -r /var/spool/ifmail/*.dir ]; then rm /var/spool/ifmail/*.dir ; fi
   if [ -r /var/spool/ifmail/seq ]; then rm /var/spool/ifmail/seq ; fi
fi

%files
%doc README README.charset README.first Changelog.TX
%doc ifcico/README.mxlookup ifcico/hydra.LICENSE.DOC ifcico/README.TELNET
%doc misc/DEBUG misc/FAQ misc/contrib/
%doc misc/sendmail/ifmail.mc.README misc/inn/ misc/smail misc/zmailer
%ghost /var/log/ifmail/ifstat
%ghost /var/log/ifmail/iflog
%ghost /var/log/ifmail/messages
%dir /etc/ifmail
%dir /tmp/ifmail
%dir /var/log/ifmail
%config /etc/ifmail/Areas
%config /etc/ifmail/config
%config /etc/ifmail/passwds
%config /etc/logrotate.d/ifmail
%config /etc/cron.hourly/ifmail
%config /etc/cron.monthly/ifmail
%config /var/lib/news/send-ifmail
%config /usr/lib/sendmail-cf/cf/ifmail.mc
%config /var/spool/cron/fnet
%dir /usr/lib/ifmail/
/usr/lib/ifmail/cleanup_ref
/usr/lib/ifmail/make_new_ref
/usr/lib/ifmail/ifstat
/usr/lib/ifmail/ifpack
/usr/lib/ifmail/ifunpack
/usr/lib/ifmail/iftoss
/usr/lib/ifmail/ifmail
/usr/lib/ifmail/ifnews
/usr/lib/ifmail/ifcico
/usr/lib/ifmail/ifindex
/usr/lib/ifmail/ifroute
/usr/lib/ifmail/nlpatch
/usr/lib/ifmail/nlookup
/usr/lib/ifmail/unarj
/usr/lib/ifmail/unrar
/usr/lib/ifmail/cutnl
/usr/lib/ifmail/regcutnl
/usr/lib/ifmail/ifreq
/usr/lib/ifmail/ifinfo
/usr/lib/ifmail/maptabs
%config /usr/lib/ifmail/inoutstat.pl
/usr/man/man3/parsedate.3.gz
/usr/man/man8/cleanup_ref.8.gz
/usr/man/man8/make_new_ref.8.gz
/usr/man/man8/ifcico.8.gz
/usr/man/man8/ifmail.8.gz
/usr/man/man8/ifnews.8.gz
/usr/man/man8/iftoss.8.gz
/usr/man/man8/ifreq.8.gz
/usr/man/man8/ifinfo.8.gz
/usr/man/man8/ifindex.8.gz
/usr/man/man8/ifroute.8.gz
/usr/man/*/man8/ifcico.8.gz
/var/spool/ifmail/
/usr/lib/sendmail-cf/mailer/fnet.m4
/usr/share/locale/*/LC_MESSAGES/ifmail.mo
